The BOOST_PP_CAT macro concatenates its arguments after they have been expanded.

#### Usage

BOOST_PP_CAT(a, b)

#### Arguments

a
  The left operand of the concatenation.
b
  The right operand of the concatenation.

#### Remarks

The preprocessor token-pasting operator (##) prevents arguments from expanding. This macro allows its arguments to expand before concatenation.
Concatenation must not result in an invocation of a macro that uses BOOST_PP_CAT. If that happens, BOOST_PP_CAT will not expand the second time.

#### Requirements

Header: <boost/preprocessor/cat.hpp>

#### Sample Code

    #include <boost/preprocessor/cat.hpp>

    BOOST_PP_CAT(x, BOOST_PP_CAT(y, z)) // expands to xyz